﻿using System.Threading.Tasks;
using Rebus.Bus;
using Rebus.Handlers;
using TBL.CSharp.Game.Server.BuiltInSignal;

namespace TBL.CSharp.Game.Server.BuiltInService;

/// <summary>
/// 门户服务
/// <para>外部请求将在此进行就地处理或转发至其它内部服务</para>
/// </summary>
public class GatewayService :
    IHandleMessages<RemoteRequest>
{
    private IBus _bus;
    
    public GatewayService(IBus bus)
    {
        _bus = bus;
    }

    /// <summary>
    /// 响应远程请求
    /// </summary>
    public Task Handle(RemoteRequest request)
    {
        return Task.CompletedTask;
    }
}